Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class AbstractJGVTComponent.Listener

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener

All Implemented Interfaces:
  KeyListener, MouseListener, MouseMotionListener, EventListener, GVTTreeRendererListener

Direct Known Subclasses:
  JGVTComponent.ExtendedListener

Enclosing class:
  AbstractJGVTComponent

    protected class AbstractJGVTComponent.Listener

extends Object
implements GVTTreeRendererListener, KeyListener, MouseListener, MouseMotionListener

To hide the listener methods.

Constructor Summary
`protected` | `AbstractJGVTComponent.Listener()` Creates a new Listener.

Method Summary
`protected void` | `deselectInteractor()` Deselects an interactor, if the interaction has finished.
`protected void` | `dispatchKeyPressed(KeyEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchKeyReleased(KeyEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchKeyTyped(KeyEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseClicked(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseDragged(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseEntered(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseExited(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseMoved(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMousePressed(MouseEvent e)` Dispatches the event to the GVT tree.
`protected void` | `dispatchMouseReleased(MouseEvent e)` Dispatches the event to the GVT tree.
`void` | `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` | `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` | `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` | `gvtRenderingPrepare(GVTTreeRendererEvent e)` Called when a rendering is in its preparing phase.
`void` | `gvtRenderingStarted(GVTTreeRendererEvent e)` Called when a rendering started.
`void` | `handleMouseClicked(MouseEvent e)`
`void` | `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(KeyEvent e)` Invoked when a key has been released.
`void` | `keyTyped(KeyEvent e)` Invoked when a key has been typed.
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.
`protected void` | `selectInteractor(InputEvent ie)` Selects an interactor, given an input event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJGVTComponent.Listener

    protected AbstractJGVTComponent.Listener()

  Creates a new Listener.

Method Detail

### gvtRenderingPrepare

    public void gvtRenderingPrepare(GVTTreeRendererEvent e)

  Called when a rendering is in its preparing phase.

  Specified by:
    `gvtRenderingPrepare` in interface `GVTTreeRendererListener`

### gvtRenderingStarted

    public void gvtRenderingStarted(GVTTreeRendererEvent e)

  Called when a rendering started.

  Specified by:
    `gvtRenderingStarted` in interface `GVTTreeRendererListener`

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Called when a rendering was completed.

  Specified by:
    `gvtRenderingCompleted` in interface `GVTTreeRendererListener`

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Called when a rendering was cancelled.

  Specified by:
    `gvtRenderingCancelled` in interface `GVTTreeRendererListener`

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Called when a rendering failed.

  Specified by:
    `gvtRenderingFailed` in interface `GVTTreeRendererListener`

### keyTyped

    public void keyTyped(KeyEvent e)

  Invoked when a key has been typed. This event occurs when a key press is followed by a key release.

  Specified by:
    `keyTyped` in interface `KeyListener`

### dispatchKeyTyped

    protected void dispatchKeyTyped(KeyEvent e)

  Dispatches the event to the GVT tree.

### keyPressed

    public void keyPressed(KeyEvent e)

  Invoked when a key has been pressed.

  Specified by:
    `keyPressed` in interface `KeyListener`

### dispatchKeyPressed

    protected void dispatchKeyPressed(KeyEvent e)

  Dispatches the event to the GVT tree.

### keyReleased

    public void keyReleased(KeyEvent e)

  Invoked when a key has been released.

  Specified by:
    `keyReleased` in interface `KeyListener`

### dispatchKeyReleased

    protected void dispatchKeyReleased(KeyEvent e)

  Dispatches the event to the GVT tree.

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Invoked when the mouse has been clicked on a component.

  Specified by:
    `mouseClicked` in interface `MouseListener`

### handleMouseClicked

    public void handleMouseClicked(MouseEvent e)

### dispatchMouseClicked

    protected void dispatchMouseClicked(MouseEvent e)

  Dispatches the event to the GVT tree.

### mousePressed

    public void mousePressed(MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MouseListener`

### dispatchMousePressed

    protected void dispatchMousePressed(MouseEvent e)

  Dispatches the event to the GVT tree.

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`

### dispatchMouseReleased

    protected void dispatchMouseReleased(MouseEvent e)

  Dispatches the event to the GVT tree.

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `MouseListener`

### dispatchMouseEntered

    protected void dispatchMouseEntered(MouseEvent e)

  Dispatches the event to the GVT tree.

### mouseExited

    public void mouseExited(MouseEvent e)

  Invoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `MouseListener`

### dispatchMouseExited

    protected void dispatchMouseExited(MouseEvent e)

  Dispatches the event to the GVT tree.

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### dispatchMouseDragged

    protected void dispatchMouseDragged(MouseEvent e)

  Dispatches the event to the GVT tree.

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### dispatchMouseMoved

    protected void dispatchMouseMoved(MouseEvent e)

  Dispatches the event to the GVT tree.

### selectInteractor

    protected void selectInteractor(InputEvent ie)

  Selects an interactor, given an input event.

### deselectInteractor

    protected void deselectInteractor()

  Deselects an interactor, if the interaction has finished.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.